/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  GeneratePress child theme
 Author:       Digitalszene - Michael Moebius
 Author URI:   https://www.digitalszene.de
 Template:     generatepress
 Version:      0.1
*/


/* Split Menu */
@media(min-width: 769px) {
    .inside-header>.site-branding,
    .inside-header>.navigation-branding,
    .inside-header>.site-logo,
    .site-branding-container,
    #site-navigation .navigation-branding .site-logo,
    #sticky-navigation .navigation-branding {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        z-index: 1000;
    }

    #site-navigation {
        margin-left: unset !important;
        display: flex;
    }

    .site-header .main-navigation:not(#sticky-navigation) .inside-navigation {
        margin: unset;
    }

    #site-navigation,
    #primary-menu,
    .main-navigation .inside-navigation {
        flex: 1;
    }

    /* Change nth-child(#) to first item to right */
    .main-navigation ul li:nth-child(4) {
        margin-left: auto;
    }
}

/* Logo mobil - zentriert */
@media (max-width: 1024px) {
    .mobile-header-navigation .inside-navigation {
        position: relative;
    }

    .mobile-header-navigation .site-logo.mobile-header-logo {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
    }

    .mobile-header-navigation .menu-toggle {
        margin-left: auto;
    }
}

/* Off Canvas Panel - Slideout */
:root {
    --gp-slideout-width: 320px!important;
}

/* Hover auf aktiven Menüpunkten wiederherstellen */
.main-navigation .menu-item.current-menu-item > a:hover,
.main-navigation .sub-menu .current-menu-item > a:hover {
    color: #d82a27!important;
}

/* Buttons */
input[type="button"], input[type="reset"], input[type="submit"] {
    align-items: center;
    background-color: var(--accent);
    color: var(--base-2);
    display: inline-flex;
    font-size: 15px;
    font-weight: 600;
    letter-spacing: 2px;
    line-height: 1.5;
    text-transform: uppercase;
    transition: all 0.5s ease 0s;
    border: 3px solid var(--accent);
    padding: 10px 20px
}
input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover {
    color: var(--accent);
    background-color: rgba(255,255,255,0)
}

/* Cookie-Notice Button */
#cookie-notice .cn-button.sw-button {
    font-size: 0.875rem;
	background-color: #d82a27;
    color: #fff;
    padding: 5px 15px;
}
#cookie-notice .cn-close-icon,
#cookie-notice .cn-close-icon {
    display: none;
}

/* Contact Form 7 - Input Fix */
span.wpcf7-list-item {
    margin: 0;
}
.wpcf7-form .small {
    font-size: .8em;
}
textarea.wpcf7-textarea {
    max-height: 120px;
}
/* Contact Form 7 - Checkbox/Radio Liste */
.wpcf7-form-control.wpcf7-checkbox,
.wpcf7-form-control.wpcf7-radio {
    display: grid;
}
/* Contact Form 7 - Column Grid */
.dwp-form {
    width: 100%;
    margin: 0 auto;
}
.dwp-form-row {
    display: flex;
    flex-direction: column;
    width: 100%;
}
.dwp-form-row .wpcf7-form-control,
.wpcf7-form label {
    width: 100%;
}
.dwp-form-column {
    flex: 1;
    padding: 0.5rem 0;
    width: 100%;
}
.dwp-form-column:first-of-type {
    padding-left: 0;
}
.dwp-form-column:last-of-type {
    padding-right: 0;
}
/* Notebook / Desktop */
@media only screen and ( min-width: 48em ) {
    .dwp-form-row {
        flex-direction: row;
    }
    .dwp-form-column {
        padding: 0.5rem 1rem;
    }
}
